Context (Grails 6.0.0)

Package: org.grails.asm

## [Java] Class Context

- org.grails.asm.Context

-     class Context
      extends java.lang.Object

  Information about a class being parsed in a ClassReader.

  Authors:
    Eric Bruneton

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `access` | The access flags of the method currently being parsed.
    `Attribute[]` | `attrs` | Prototypes of the attributes that must be parsed for this class.
    `int[]` | `bootstrapMethods` | The start index of each bootstrap method.
    `char[]` | `buffer` | The buffer used to read strings.
    `java.lang.String` | `desc` | The descriptor of the method currently being parsed.
    `org.springframework.asm.Label[]` | `end` | The labels corresponding to the end of the local variable ranges in the local variable type annotation currently being parsed.
    `int` | `flags` | The ClassReader option flags for the parsing of this class.
    `int[]` | `index` | The local variable indices for each local variable range in the local variable type annotation currently being parsed.
    `org.springframework.asm.Label[]` | `labels` | The label objects, indexed by bytecode offset, of the method currently being parsed (only bytecode offsets for which a label is needed have a non null associated Label object).
    `java.lang.Object[]` | `local` | The local values of the latest stack map frame that has been parsed.
    `int` | `localCount` | The number of locals in the latest stack map frame that has been parsed.
    `int` | `localDiff` | The number locals in the latest stack map frame that has been parsed, minus the number of locals in the previous frame.
    `int` | `mode` | The encoding of the latest stack map frame that has been parsed.
    `java.lang.String` | `name` | The name of the method currently being parsed.
    `int` | `offset` | The offset of the latest stack map frame that has been parsed.
    `java.lang.Object[]` | `stack` | The stack values of the latest stack map frame that has been parsed.
    `int` | `stackCount` | The stack size of the latest stack map frame that has been parsed.
    `org.springframework.asm.Label[]` | `start` | The labels corresponding to the start of the local variable ranges in the local variable type annotation currently being parsed.
    `TypePath` | `typePath` | The path of the type annotation currently being parsed.
    `int` | `typeRef` | The target of the type annotation currently being parsed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### int access

      The access flags of the method currently being parsed.

    - #### Attribute[] attrs

      Prototypes of the attributes that must be parsed for this class.

    - #### int[] bootstrapMethods

      The start index of each bootstrap method.

    - #### char[] buffer

      The buffer used to read strings.

    - #### java.lang.String desc

      The descriptor of the method currently being parsed.

    - #### org.springframework.asm.Label[] end

      The labels corresponding to the end of the local variable ranges in the local variable type annotation currently being parsed.

    - #### int flags

      The ClassReader option flags for the parsing of this class.

    - #### int[] index

      The local variable indices for each local variable range in the local variable type annotation currently being parsed.

    - #### org.springframework.asm.Label[] labels

      The label objects, indexed by bytecode offset, of the method currently being parsed (only bytecode offsets for which a label is needed have a non null associated Label object).

    - #### java.lang.Object[] local

      The local values of the latest stack map frame that has been parsed.

    - #### int localCount

      The number of locals in the latest stack map frame that has been parsed.

    - #### int localDiff

      The number locals in the latest stack map frame that has been parsed, minus the number of locals in the previous frame.

    - #### int mode

      The encoding of the latest stack map frame that has been parsed.

    - #### java.lang.String name

      The name of the method currently being parsed.

    - #### int offset

      The offset of the latest stack map frame that has been parsed.

    - #### java.lang.Object[] stack

      The stack values of the latest stack map frame that has been parsed.

    - #### int stackCount

      The stack size of the latest stack map frame that has been parsed.

    - #### org.springframework.asm.Label[] start

      The labels corresponding to the start of the local variable ranges in the local variable type annotation currently being parsed.

    - #### TypePath typePath

      The path of the type annotation currently being parsed.

    - #### int typeRef

      The target of the type annotation currently being parsed.